> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List notes

> Retrieves notes with optional filtering by associated record. Response capped at 200 notes.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/notes
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/notes:
    get:
      tags:
        - Notes
      summary: List notes
      description: >-
        Retrieves notes with optional filtering by associated record. Response
        capped at 200 notes.
      operationId: listNotes
      parameters:
        - description: Filter by associated record ID
          name: entity_id
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of notes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.ListNotesResponse'
        '400':
          description: Bad request - Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.ListNotesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/developer.NoteResponse'
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    developer.NoteResponse:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        content:
          type: string
        entity_id:
          type: string
        created_by:
          type: string
        created_at:
          type: string
          format: date-time
        archived_at:
          type: string
          format: date-time
      example:
        id: '900'
        title: Meeting notes
        content: Discussed Q3 roadmap...
        entity_id: '1001'
        created_by: developer_api
        created_at: '2024-01-15T10:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````